Velocity Reviews - Computer Hardware Reviews

Velocity Reviews > Newsgroups > Programming > Java > Querry on Eclipse

Reply
Thread Tools

Querry on Eclipse

 
 
swapan.s1
Guest
Posts: n/a
 
      06-12-2007
Hi Group,

I am new in Java Development environment.

I am using Eclipse for Java.

Currently, I have an existing project in Java. Please let me know
whether i can insert existing project of Java in Eclipse in one shot.
At persent i am unable to do so.

Thanks for any help.

Regards,
Swapan

 
Reply With Quote
 
 
 
 
swapan.s1
Guest
Posts: n/a
 
      06-12-2007
On Jun 12, 1:56 pm, "swapan.s1" <(E-Mail Removed)> wrote:
> Hi Group,
>
> I am new in Java Development environment.
>
> I am using Eclipse for Java.
>
> Currently, I have an existing project in Java. Please let me know
> whether i can insert existing project of Java in Eclipse in one shot.
> At persent i am unable to do so.
>
> Thanks for any help.
>
> Regards,
> Swapan



Please do suggest if soem other IDE can help me in this regard.

 
Reply With Quote
 
 
 
 
Ian Wilson
Guest
Posts: n/a
 
      06-12-2007
swapan.s1 wrote:
> On Jun 12, 1:56 pm, "swapan.s1" <(E-Mail Removed)> wrote:
>
>> Hi Group,
>>
>> I am new in Java Development environment.
>>
>> I am using Eclipse for Java.
>>
>> Currently, I have an existing project in Java. Please let me know
>> whether i can insert existing project of Java in Eclipse in one
>> shot. At persent i am unable to do so.


Why unable?
- because you don't know how?
- or because you get errors when you import the project?

>>
>> Thanks for any help.
>>
>> Regards, Swapan

>
>
>
> Please do suggest if soem other IDE can help me in this regard.
>


File, Import, From Filesystem

Navigate to folder containing project then tick all the folders and or
files you want to import. ticking a folder should cause all it's
contents to be imported.

 
Reply With Quote
 
Hendrik Maryns
Guest
Posts: n/a
 
      06-12-2007
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

swapan.s1 schreef:
> Hi Group,
>
> I am new in Java Development environment.
>
> I am using Eclipse for Java.
>
> Currently, I have an existing project in Java. Please let me know
> whether i can insert existing project of Java in Eclipse in one shot.
> At persent i am unable to do so.


If the project is in version control, it is easy, by using the CVS/SVN
repository exporing perspective, and then check out from a directory.

Otherwise New Project -> Java Project -> create project from existing
source.

H.
- --
Hendrik Maryns
http://tcl.sfs.uni-tuebingen.de/~hendrik/
==================
http://aouw.org
Ask smart questions, get good answers:
http://www.catb.org/~esr/faqs/smart-questions.html
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFGbmVMe+7xMGD3itQRArqvAJ0aPGgeLoRXvspR16QGzA 3aMKsDSgCfeoOS
mxbZ89vViPU1agPjxcAoh9s=
=fQka
-----END PGP SIGNATURE-----
 
Reply With Quote
 
swapan.s1
Guest
Posts: n/a
 
      06-12-2007
On Jun 12, 2:20 pm, Hendrik Maryns <(E-Mail Removed)>
wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> swapan.s1 schreef:
>
> > Hi Group,

>
> > I am new in Java Development environment.

>
> > I am using Eclipse for Java.

>
> > Currently, I have an existing project in Java. Please let me know
> > whether i can insert existing project of Java in Eclipse in one shot.
> > At persent i am unable to do so.

>
> If the project is in version control, it is easy, by using the CVS/SVN
> repository exporing perspective, and then check out from a directory.
>
> Otherwise New Project -> Java Project -> create project from existing
> source.
>
> H.
> - --
> Hendrik Marynshttp://tcl.sfs.uni-tuebingen.de/~hendrik/
> ==================http://aouw.org
> Ask smart questions, get good answers:http://www.catb.org/~esr/faqs/smart-questions.html
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.5 (GNU/Linux)
> Comment: Using GnuPG with Mozilla -http://enigmail.mozdev.org
>
> iD8DBQFGbmVMe+7xMGD3itQRArqvAJ0aPGgeLoRXvspR16QGzA 3aMKsDSgCfeoOS
> mxbZ89vViPU1agPjxcAoh9s=
> =fQka
> -----END PGP SIGNATURE-----






> Why unable?
> - because you don't know how?
> - or because you get errors when you import the project?


Sorry for not being clear with my words.

While inserting, i am seeing the following errors:

> 'enum' should not be used as an identifier, since it is a reserved

keyword from source level 5.0

Meanwhile, i searched, i got to know that min. ver. required for
eclipse is java 1.4.

Following info. might be useful:

Eclipse version: 3.2.0
Java code support: 1.3.*
Min. version required for Eclipse 3.2.0: 1.4.*

During compilation, i get errors related to ""enum" as an identifier".

So, to me it looks like i am left with 2 options:

1. Either making code changes to make it run on JDK 1.4

OR

2. looking for version that can run on JDK 1.3.

Please suggest.

Thanks for any inputs.

Regards,
SWAPAN

 
Reply With Quote
 
Lew
Guest
Posts: n/a
 
      06-12-2007
swapan.s1 wrote:
> On Jun 12, 2:20 pm, Hendrik Maryns <(E-Mail Removed)>
> wrote:
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA1
>>
>> swapan.s1 schreef:
>>
>>> Hi Group,
>>> I am new in Java Development environment.
>>> I am using Eclipse for Java.
>>> Currently, I have an existing project in Java. Please let me know
>>> whether i can insert existing project of Java in Eclipse in one shot.
>>> At persent i am unable to do so.

>> If the project is in version control, it is easy, by using the CVS/SVN
>> repository exporing perspective, and then check out from a directory.
>>
>> Otherwise New Project -> Java Project -> create project from existing
>> source.
>>
>> H.
>> - --
>> Hendrik Marynshttp://tcl.sfs.uni-tuebingen.de/~hendrik/
>> ==================http://aouw.org
>> Ask smart questions, get good answers:http://www.catb.org/~esr/faqs/smart-questions.html
>> -----BEGIN PGP SIGNATURE-----
>> Version: GnuPG v1.4.5 (GNU/Linux)
>> Comment: Using GnuPG with Mozilla -http://enigmail.mozdev.org
>>
>> iD8DBQFGbmVMe+7xMGD3itQRArqvAJ0aPGgeLoRXvspR16QGzA 3aMKsDSgCfeoOS
>> mxbZ89vViPU1agPjxcAoh9s=
>> =fQka
>> -----END PGP SIGNATURE-----

>
>
>
>
>
>> Why unable?
>> - because you don't know how?
>> - or because you get errors when you import the project?

>
> Sorry for not being clear with my words.
>
> While inserting, i am seeing the following errors:
>
> > 'enum' should not be used as an identifier, since it is a reserved

> keyword from source level 5.0
>
> Meanwhile, i searched, i got to know that min. ver. required for
> eclipse is java 1.4.
>
> Following info. might be useful:
>
> Eclipse version: 3.2.0
> Java code support: 1.3.*
> Min. version required for Eclipse 3.2.0: 1.4.*
>
> During compilation, i get errors related to ""enum" as an identifier".


These are errors related to a Java 5 or later compiler. Set your source level
to 1.4 in the project properties dialog.

Really, the source code should not use "enum" as an identifier to run in
obsolescent Java versions like 1.4. Of course, Java 1.4 is obsolescent, so
you really, really should make the move to at least Java 5, if not the current
version.

It might also be that the source code you're compiling is meant for Java 5 or
later?

> So, to me it looks like i am left with 2 options:
>
> 1. Either making code changes to make it run on JDK 1.4
>
> OR
>
> 2. looking for version that can run on JDK 1.3.


JDK !.3? Are you joking? That version is obsolete - not supported except by
special "obsolete products' support for people who are stuck in nine years
ago" contracts with Sun (or whomever). Even Java 1.4 is now in "End of Life",
i.e., obsolescent.

Java 1.3 is over - move on.

In any event, your compiler errors aren't coming from Java 1.3, they seem to
be coming from Java 5.

--
Lew
 
Reply With Quote
 
 
 
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Querry on whether Eclipse can use WinCVS without client-server confiiguration swapan.s1 Java 1 07-21-2007 08:23 PM
Querry on whether Eclipse can use WinCVS without client-server confiiguration swapan.s1 Java 0 07-18-2007 01:41 PM
Parse querry string with ssi SpaceGirl HTML 2 05-23-2004 02:33 AM
feedback form querry Graham HTML 1 02-12-2004 05:11 PM
querry Varsha MCSD 6 01-05-2004 05:34 PM



Advertisments